DF(1)

NAME
df - report free disk space on file systems

SYNOPSIS
df [ -a ] [ -i ] [ -t type ] [ filesystem... ] [ filename... ]

DESCRIPTION
df prints out the amount of used and available disk space on the specified filesystem, e.g. ``/dev/rp0a'', or on the filesystem in which the specified file, is contained. If no file system is specified, the values for all the normally mounted file systems are printed. The reported numbers are in kilobytes. Used without arguments, df reports on all mounted file systems, producing something like:

    tutorial% df
    Filesystem	kbytes	  used	avail	capacity	Mounted on
    /dev/sd0a	 72661	 28386	37008	     43%		/
    oak:/source	546932	474393	17845	     96%		/source

Note that used+avail is less than the amount of space in the file system (kbytes); this is because the system reserves a fraction of the space in the file system to allow its file system allocation routines to work well. The amount reserved is typically about 10%; this may be adjusted using tunefs. When all the space on a file system except for this reserve is in use, only the super-user can allocate new files and data blocks to existing files. When a file system is overallocated in this way, df may report that the file system is more than 100% utilized.

If arguments to df are disk partitions (for example, /dev/ip0a) or UNIX path names, df produces a report on the file system containing the named file. Thus "df ." shows the amount of space on the file system containing the current directory.

OPTIONS

-a  Reports on all filesystems including the uninteresting ones which have zero total blocks. (e.g. automounter )

-i  Report also the number of inodes which are used and free.

-t type
    Report on filesystems of a given type (for example, nfs or 4.3).

FILES
/etc/mtab    list of currently mounted filesystems

SEE ALSO
du(1V), mtab(5), quot(8), tunefs(8)